// JavaScript Document



$( ".Calendario" ).datepicker({minDate: -0});    


$(document).on('click','#btnAddPrevia', function(){
	$('#stLocalPrevia').val('-1');
	$('#stFotografo').val('-1');
	$('#stCinegrafista').val('-1');
	$('#EdtDataEvento').val('');
	$('#edtHoraPrevia').val('');
	$('#txObs').val('');
	
	
	
	$('#pnAddPrevia').dialog('open');
	return false;	
})

			// Box AddPreiva
			$('#pnAddPrevia').dialog({
					autoOpen: false,
					modal: true,
					resizable: false,
					height : 450, // altura
					width  : 780 // largura
			});	
			
			$('#pnDetalheLocalP').dialog({
					autoOpen: false,
					modal: true,
					resizable: false,
					height : 450, // altura
					width  : 750 // largura
			});	
			
			$(document).on('click','#btnVerDetalheLocalP', function(){
			  var id_evento_previa = $(this).attr('id_evento_previa');
			  
			 $.ajax({
			 type: "POST",
			 url: "local_previa/dados.php",
			 data: 'id='+id_evento_previa, 
			 beforeSend: function(){$("#pnDetalheLocalP").html(Load()).fadeIn('slow');},
			 success: function(R){$("#pnDetalheLocalP").html(R).fadeIn('slow');},
			 error: function(R){ $("#pnDetalheLocalP").html('Falha ao verifique o WebSite, ou tente novamente!').fadeIn('slow');
								  $("#pnDetalheLocalP").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax
			  
			  
			  
			  $('#pnDetalheLocalP').dialog('open');
			  return false;
			})
			
			
			


/*	
	este botão foi para o script evento para não dar Duplicidade
	$('#btnAgendarPrevia').on('click',function(){
		if($('#EdtDataEvento').val() == ''){
			show('Informe uma data');
			return false;	
		}
		
		if($('#stLocalPrevia').val() == '-1'){
			show('Selecione o Local da Prévia');
			return false;	
		}
		
		if($('#edtHoraPrevia').val() == ''){
			show('Informe a hora');
			return false;	
		}
		
		
		var form = $('#formAddPrevia').serialize();
		var id_evento = $(this).attr('id_evento');
		
		SalvarPrevia(form, id_evento);
		
		return false;
	})			
			
	*/		
	
	
/*
	//ESTE BOTÃO FOI PARA SCRIPT EVENTO
	$('#btnDeletarPrevia').on('click',function(){
	var id_previa = $(this).attr('id_previa');
		if(confirm('Gostaria de Deletar está prévia?'))
		 DeletarPrevia(id_previa);
	return false;
	})	*/		
			
			
			
			
function Consulta(){
 var data = $('#EdtDataEvento').val();
 
 			 $.ajax({
			 type: "POST",
			 url: "evento/previa/consulta_previa.php",
			 data: 'data='+data, 
			 beforeSend: function(){$("#pnResultadoAddPrevia").html(Load()).fadeIn('slow');},
			 success: function(R){$("#pnResultadoAddPrevia").html(R).fadeIn('slow');},
			 error: function(R){ $("#pnResultadoAddPrevia").html('Falha ao verifique o WebSite, ou tente novamente!').fadeIn('slow');
								  $("#pnResultadoAddPrevia").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax
 
}

 function CarregarUmaFotoPicasa(id_evento){
	  			 $.ajax({
			 type: "POST",
			 url: "evento/previa/ax.previa.php",
			 data: 'ax=CarregarUmaFoto&id_evento='+id_evento, 
			 beforeSend: function(){$(".pnEventoID"+id_evento).html('<img src="img/salvando.gif"/>').fadeIn('slow');},
			 success: function(R){$(".pnEventoID"+id_evento).html('<img src="'+ R +'" width="72"/>').fadeIn('fast');},
			 error: function(R){ $(".pnEventoID"+id_evento).html('Falha ao verifique o WebSite, ou tente novamente!').fadeIn('slow');
								  $(".pnEventoID"+id_evento).addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax
	 
 }
 
 
 function DeletarPrevia(id_evento_previa){
	
		  	 $.ajax({
			 type: "POST",
			 url: "evento/previa/ax.previa.php",
			 data: 'ax=DeletarPrevia&id_evento_previa='+id_evento_previa, 
			 beforeSend: function(){$("#pnId_evento_previa"+id_evento_previa).html(Load()).fadeIn('slow');},
			 success: function(R){$("#pnId_evento_previa"+id_evento_previa).fadeOut('fast');},
			 error: function(R){ $("#pnId_evento_previa"+id_evento_previa).html('Falha ao verifique o WebSite, ou tente novamente!').fadeIn('slow');
								  $("#pnId_evento_previa"+id_evento_previa).addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax
	 
 }
 
  function SalvarPrevia(form, id_evento){
	
		  	 $.ajax({
			 type: "POST",
			 url: "evento/previa/ax.previa.php",
			 data: 'ax=SalvarPrevia&'+form + '&id_evento='+id_evento, 
			 beforeSend: function(){$("#pnId_evento_previa").html(Load()).fadeIn('slow');},
			 success: function(R){
				 				 	$('#pnAddPrevia').dialog('close');
									
									CarregarPrincipal(id_evento);
									
								 },
			 error: function(R){ $("#pnId_evento_previa").html('Falha ao verifique o WebSite, ou tente novamente!').fadeIn('slow');
								  $("#pnId_evento_previa").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax
	 
 }
 
 
 function CarregarPrincipal(id_evento){
		$.ajax({
			 type: "POST",
			 url: "evento/previa/previas.php",
			 data: 'id_evento='+id_evento, 
			 beforeSend: function(){$("#pnResultadosPrevia").html(Load()).fadeIn('slow');},
			 success: function(R){$("#pnResultadosPrevia").html(R).fadeIn('fast');},
			 error: function(R){ $("#pnResultadosPrevia").html('Falha ao verifique o WebSite, ou tente novamente!').fadeIn('slow');
								  }
		  }) //fim ajax 
 }
 
 


 
 
 